Subject: Re: [PATCH] powernv/hmi: Use the "unknown" checkstop type as a fallback

From: Russell Currey <[email-masked]>
Date: Tue, 15 Mar 2016 16:40:54 +1100

On Tue, 2016-03-15 at 16:36 +1100, Andrew Donnellan wrote:
> On 15/03/16 16:15, Russell Currey wrote:
> > 
> > > 
> > > Would it be useful to print xstop_type in the unknown case?
> > I don't think so - if there's a new checkstop type, specific handling
> > for
> > it should be implemented in the kernel, and if you're getting unknown
> > checkstops that are bringing down your machine you should be looking at
> > the
> > OPAL firmware log anyway, which would contain details if there was
> > something "new".
> That's fair, would primarily help debugging in the rather corner case of 
> new skiboot, old kernel, and no access to the OPAL log...
> 
I think if you don't have access to the OPAL log, finding out what number
OPAL sent isn't going to help you.